PUT api/preview/saveTextDocument
Save a file in text format Processes this preview API request. The parameter and response sections describe the data exchanged with the API.
Request Information
URI Parameters
None.
Body Parameters
json is deserialised into this object
UpdatedPreviewDocument| Name | Description | Type | Additional information |
|---|---|---|---|
| fileType |
The file type value. |
string |
None. |
| docReference |
The doc reference value. |
string |
None. |
| data |
The data value. |
string |
None. |
Request Formats
application/x-www-form-urlencoded
Sample:
Sample not available.
application/json, text/json
Sample:
{
"fileType": "sample string 1",
"docReference": "sample string 2",
"data": "sample string 3"
}
Response Information
Resource Description
The response returned after the operation completes.
SystemDocumentDataContract| Name | Description | Type | Additional information |
|---|---|---|---|
| Partition |
The partition classification. |
SystemStoragePartition |
None. |
| Reference |
The reference value. |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Partition": 0,
"Reference": "sample string 1"
}